
QGIS Application - Bug report #6034

Impossible to open the .qgs file I've just saved with QGIS 1.8

2012-07-13 08:18 AM - Danalet Antonin

Status: Closed

Priority: Low

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Mac OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 15406

Description

I'm using QGIS 1.8.0 on Mac OS X 10.6.8 (last stable version of QGIS I downloaded yesterday).

After working yesterday and this morning on it, I'm trying to open it again, and QGIS asks me the username and password to access the

PostGIS database and crashes after 10 seconds.

I also have QGIS 1.7 and 1.9 installed on my computer.

Here is the crash message, if this can help:

Process:         QGIS [342]

Path:            /Applications/QGIS.app/Contents/MacOS/QGIS

Identifier:      org.qgis.qgis

Version:         1.8.0 (1.8.0 ())

Code Type:       X86-64 (Native)

Parent Process:  launchd [124]

Date/Time:       2012-07-13 14:54:37.581 +0200

OS Version:      Mac OS X 10.6.8 (10K549)

Report Version:  6

Interval Since Last Report:          253852 sec

Crashes Since Last Report:           18

Per-App Interval Since Last Report:  15946 sec

Per-App Crashes Since Last Report:   7

Anonymous UUID:                      4D1290E1-470F-4017-A8E7-1EA41258D661

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)

Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000610163

Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Thread 0 Crashed:  Dispatch queue: com.apple.main-thread

0   libdelimitedtextprovider.so     0x000000011a2edeaf QgsDelimitedTextProvider::~QgsDelimitedTextProvider() + 35

1   libdelimitedtextprovider.so     0x000000011a2ede62 QgsDelimitedTextProvider::~QgsDelimitedTextProvider() + 18

2   org.qgis.qgis_core              0x0000000103e2d5b4 QgsProviderRegistry::provider(QString const&, QString const&) + 192

3   org.qgis.qgis_core              0x0000000103e50e2b QgsVectorLayer::setDataProvider(QString const&) + 89

4   org.qgis.qgis_core              0x0000000103e5b825 QgsVectorLayer::readXml(QDomNode const&) + 463

5   org.qgis.qgis_core              0x0000000103dfc763 QgsMapLayer::readXML(QDomNode const&) + 3999

6   org.qgis.qgis_core              0x0000000103e1e815 QgsProject::addLayer(QDomElement const&, QList<QDomNode>&,

QList<QPair<QgsVectorLayer*, QDomElement> >&) + 1291
7   org.qgis.qgis_core              0x0000000103e1c910 QgsProject::_getMapLayers(QDomDocument const&) + 1378

8   org.qgis.qgis_core              0x0000000103e1f908 QgsProject::read() + 3760

9   org.qgis.qgis_core              0x0000000103e1ea23 QgsProject::read(QFileInfo const&) + 77

10  org.qgis.qgis                   0x00000001000240f4 QgisApp::addProject(QString) + 140

11  org.qgis.qgis                   0x0000000100026525 QgisApp::openProject(QString const&) + 55

12  org.qgis.qgis                   0x000000010001622e QgisApp::openFile(QString const&) + 108

13  org.qgis.qgis                   0x00000001000169ac QgisApp::event(QEvent*) + 40

14  QtGui                           0x0000000104d0193d QApplicationPrivate::notify_helper(QObject*, QEvent*) + 189

15  QtGui                           0x0000000104d07dc4 QApplication::notify(QObject*, QEvent*) + 1060

16  org.qgis.qgis_core              0x0000000103da0762 QgsApplication::notify(QObject*, QEvent*) + 100

17  QtCore                          0x0000000104a4a17c QCoreApplication::notifyInternal(QObject*, QEvent*) + 124

18  org.qgis.qgis_core              0x0000000103da0ada QgsApplication::setFileOpenEventReceiver(QObject*) + 158

19  org.qgis.qgis                   0x000000010000bf52 QgisApp::QgisApp(QSplashScreen*, bool, QWidget*,

QFlags<Qt::WindowType>) + 5508

20  org.qgis.qgis                   0x0000000100008f52 main + 7938

21  org.qgis.qgis                   0x0000000100006c04 start + 52

Thread 1:  Dispatch queue: com.apple.libdispatch-manager

0   libSystem.B.dylib               0x00007fff895ffc0a kevent + 10

1   libSystem.B.dylib               0x00007fff89601add _dispatch_mgr_invoke + 154

2   libSystem.B.dylib               0x00007fff896017b4 _dispatch_queue_invoke + 185

3   libSystem.B.dylib               0x00007fff896012de _dispatch_worker_thread2 + 252

4   libSystem.B.dylib               0x00007fff89600c08 _pthread_wqthread + 353

5   libSystem.B.dylib               0x00007fff89600aa5 start_wqthread + 13

Thread 0 crashed with X86 Thread State (64-bit):

  rax: 0x000000011a2f34a0  rbx: 0x000000011fbe61b0  rcx: 0x00007fff710b7650  rdx: 0x00000000005e8300

  rdi: 0x0000000000610163  rsi: 0x000000011fb00000  rbp: 0x00007fff5fbfdee0  rsp: 0x00007fff5fbfdec0

   r8: 0x0000000000000001   r9: 0x000000011fbe67b0  r10: 0x0000000000000000  r11: 0x0000000000000015

  r12: 0x000000011fbe1fd8  r13: 0x000000011fbe1f10  r14: 0x000000011fbe5180  r15: 0x000000011fbe1f50

  rip: 0x000000011a2edeaf  rfl: 0x0000000000010206  cr2: 0x0000000000610163

I was finally able to open the .qgs file with QGIS 1.7. It prompted a mistake but at least didn't crash. The problem came from a CSV file

that changed path (before I saved it).

I changed it in 1.7 and it's OK now.

Related issues:

Duplicated by QGIS Application - Bug report # 5832: QGIS seg fault when loadi... Closed 2012-06-20

History

#1 - 2012-07-13 08:47 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Status changed from Open to Feedback

it seems duplicate of #5832, if yes please close this ticket.

#2 - 2012-07-13 09:01 AM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Feedback to Closed
duplicate of  #5832
